> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Member

> Update Member details using the Stytch Next.js SDK

export const action_0 = "update";

export const resource_0 = "stytch.member";

export const isUpdate_0 = true;

export const isSelf_0 = undefined;

export const isCreate_0 = undefined;

export const getBySlug_0 = undefined;

export const organization = "Represents an instance or tenant in your application, typically mapping to each of your top-level customers.";

export const member = "Represents an individual end user's account within a given Organization, uniquely identified within that Organization by their email address.";

`organizations.members.update` wraps the [update member](/api-reference/b2b/api/members/update-member) endpoint. Use it to update an existing <Tooltip tip={member}>Member</Tooltip> in the current <Tooltip tip={organization}>Organization</Tooltip>.

<Note>
  **RBAC Enforced Method**

  This method requires a valid Session for a member with permission to perform the **{action_0} Action** on the **{resource_0} Resource**.

  Before using this method, enable **Member actions & organization modifications** in the [Frontend SDK page](https://stytch.com/dashboard/sdk-configuration). To learn more, see our [RBAC guide](/multi-tenant-auth/enterprise-ready/rbac/create-rbac-policy).
</Note>

The `organization_id` to update a member within will be automatically inferred from the logged-in Member's session. This method cannot be used to create Members in other Organizations.

If you only need to update the currently logged-in member, use the [update self](../self/update-self) method.

## Parameters

{isUpdate_0 && !isSelf_0 && (
<ParamField body="member_id" type="string" required>
  Globally unique UUID that identifies a specific Member. You may use an <code>external_id</code> here if one is set for the Member.
</ParamField>
)}

{isCreate_0 && (
<ParamField body="email_address" type="string" required>
  The email address of the Member.
</ParamField>
)}

{isUpdate_0 && !isSelf_0 && (
<ParamField body="email_address" type="string">
  <p>Updates the Member's <code>email_address</code>, if provided. This will clear any existing passwords and require re-verification of the new email address. If a Member's email address is changed, other Members in the same Organization cannot use the old email address, although the Member may update back to their old email address. A Member's email address can only be useable again by other Members if the Member is deleted.</p>

  <p>If this field is provided, the logged-in Member must have permission to perform the <code>update.info.email</code> action on the <code>stytch.member</code> Resource. Members cannot update their own email address.</p>
</ParamField>
)}

<ParamField body="name" type="string">
  The name of the Member.
</ParamField>

<ParamField body="untrusted_metadata" type="object">
  An arbitrary JSON object of application-specific data. These fields can be edited directly by the frontend SDK, and should not be used to store critical information. See the [Metadata resource](/api-reference/b2b/api/resources/object-update-behavior) for complete field behavior details.
</ParamField>

{isCreate_0 && (
<ParamField body="create_member_as_pending" type="boolean" default="false">
  <p>Flag for whether or not to save a Member as pending or active in Stytch.</p>
    
  <p>If true, new Members will be created with status <code>pending</code> in Stytch's backend. Their status will remain pending and they will continue to receive signup email templates for every Email Magic Link until that Member authenticates and becomes <code>active</code>.</p>
    
  <p>If false, new Members will be created with status <code>active</code>.</p>
</ParamField>
)}

{!isSelf_0 && (
<ParamField body="is_breakglass" type="boolean" default="false">
  <p>Identifies the Member as a break glass user - someone who has permissions to authenticate into an Organization by bypassing the Organization's settings.</p>
  
  <p>A break glass account is typically used for emergency purposes to gain access outside of normal authentication procedures. Refer to the <a href="/api-reference/b2b/api/organizations/organization-object">Organization object</a> and its <code>auth_methods</code> and <code>allowed_auth_methods</code> fields for more details.</p>
</ParamField>
)}

<ParamField body="mfa_phone_number">
  The Member's phone number. A Member may only have one phone number.

  The phone number should be in E.164 format (i.e. +1XXXXXXXXXX).
</ParamField>

<ParamField body="mfa_enrolled" type="boolean">
  Sets whether the Member is enrolled in MFA.

  If true, the Member must complete an MFA step whenever they wish to log in to their Organization.

  If false, the Member only needs to complete an MFA step if the Organization's MFA policy is set to `REQUIRED_FOR_ALL`.
</ParamField>

{isUpdate_0 && (
<ParamField body="mfa_default_method" type="string">
  <p>The Member's default MFA method. This value is used to determine which secondary MFA method to use in the case of multiple methods registered for a Member. The current possible values are <code>sms_otp</code> and <code>totp</code>.</p>

  <p>If this field is provided, the logged-in Member must have permission to perform the <code>update.settings.default-mfa-method</code> action on the <code>stytch.member</code> Resource. Alternatively, if the logged-in Member matches the <code>member_id</code> passed in the request, the request is also permissible if the logged-in Member has permission to perform the <code>update.settings.default-mfa-method</code> action on the <code>stytch.self</code> Resource.</p>
</ParamField>
)}

{!isSelf_0 && (
<ParamField body="roles" type="string[]">
  Roles to explicitly assign to this Member. See the <a href="/multi-tenant-auth/enterprise-ready/rbac/assigning-roles-to-members">RBAC guide</a> for more information about role assignment.
</ParamField>
)}

{isUpdate_0 && !isSelf_0 && (
<ParamField body="unlink_email" type="boolean">
  If <code>unlink_email</code> is true and an <code>email_address</code> is provided, the Member's previous email will be deleted instead of retired. Defaults to false.
</ParamField>
)}

## Response

<ResponseField name="member_id" type="string">
  The ID of the updated Member.
</ResponseField>

<ResponseField name="member" type="object">
  The updated Member.

  <Expandable title="member properties">
    <ResponseField name="organization_id" type="string">
      Globally unique UUID that identifies a specific Organization.
    </ResponseField>

    <ResponseField name="member_id" type="string">
      Globally unique UUID that identifies a specific Member.
    </ResponseField>

    <ResponseField name="external_id" type="string">
      The ID of the Member given by the identity provider.
    </ResponseField>

    <ResponseField name="email_address" type="string">
      The email address of the Member.
    </ResponseField>

    <ResponseField name="email_address_verified" type="boolean">
      Whether or not the Member's email address is verified.
    </ResponseField>

    <ResponseField name="status" type="string">
      The status of the Member. The possible values are: `pending`, `invited`, `active`, or `deleted`.
    </ResponseField>

    <ResponseField name="name" type="string">
      The name of the Member.
    </ResponseField>

    <ResponseField name="sso_registration" type="object[]">
      An array of registered SAML Connection or OIDC Connection objects the Member has authenticated with.

      <Expandable title="sso_registration properties">
        <ResponseField name="connection_id" type="string">
          Globally unique UUID that identifies a specific SSO `connection_id` for a Member.
        </ResponseField>

        <ResponseField name="registration_id" type="string">
          The unique ID of an SSO Registration.
        </ResponseField>

        <ResponseField name="external_id" type="string">
          The ID of the Member given by the identity provider.
        </ResponseField>

        <ResponseField name="sso_attributes" type="object">
          An object for storing SSO attributes brought over from the identity provider.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="scim_registration" type="object">
      Sets whether the Member is enrolled in MFA.

      <Expandable title="sso_registration properties">
        <ResponseField name="connection_id" type="string">
          The id of the SCIM Connection.
        </ResponseField>

        <ResponseField name="registration_id" type="string">
          The unique ID of a SCIM Registration.
        </ResponseField>

        <ResponseField name="external_id" type="string">
          The ID of the Member given by the identity provider.
        </ResponseField>

        <ResponseField name="sso_attributes" type="object">
          An object for storing SCIM attributes brought over from the identity provider.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="is_breakglass" type="boolean">
      Identifies the Member as a break glass user - someone who has permissions to authenticate into an Organization by bypassing the Organization's settings.

      A break glass account is typically used for emergency purposes to gain access outside of normal authentication procedures. Refer to the [Organization object](/api-reference/b2b/api/organizations/organization-object) and its `auth_methods` and `allowed_auth_methods` fields for more details.
    </ResponseField>

    <ResponseField name="member_password_id" type="string">
      Globally unique UUID that identifies a Member's password.
    </ResponseField>

    <ResponseField name="oauth_registrations" type="object[]">
      A list of OAuth registrations for this Member.

      <Expandable title="oauth_registrations properties">
        <ResponseField name="provider_type" type="string">
          Denotes the OAuth identity provider that the user has authenticated with, e.g. Google, Microsoft, GitHub etc.
        </ResponseField>

        <ResponseField name="provider_subject" type="string">
          The unique identifier for the User within a given OAuth provider. Also commonly called the sub or "Subject field" in OAuth protocols.
        </ResponseField>

        <ResponseField name="profile_picture_url" type="string">
          If available, the `profile_picture_url` is a URL of the User's profile picture set in the OAuth identity provider that the User has authenticated with, e.g. Google profile picture.
        </ResponseField>

        <ResponseField name="locale" type="string">
          If available, the locale is the Member's locale set in the OAuth identity provider that the user has authenticated with.
        </ResponseField>

        <ResponseField name="member_oauth_registration_id" type="string">
          The unique ID of an OAuth registration.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="mfa_enrolled" type="boolean">
      Sets whether the Member is enrolled in MFA.

      If true, the Member must complete an MFA step whenever they wish to log in to their Organization.

      If false, the Member only needs to complete an MFA step if the Organization's MFA policy is set to `REQUIRED_FOR_ALL`.
    </ResponseField>

    <ResponseField name="mfa_phone_number" type="string">
      The Member's phone number. A Member may only have one phone number.

      The phone number should be in E.164 format (i.e. +1XXXXXXXXXX).
    </ResponseField>

    <ResponseField name="mfa_phone_number_verified" type="boolean">
      Whether or not the Member's phone number is verified.
    </ResponseField>

    <ResponseField name="retired_email_addresses" type="object[]">
      A list of retired email addresses for this Member. A previously active email address can be marked as retired in one of two ways:

      * It's replaced with a new primary email address during an explicit Member update.
      * A new email address is surfaced by an OAuth, SAML or OIDC provider. In this case the new email address becomes the Member's primary email address and the old primary email address is retired. A retired email address cannot be used by other Members in the same Organization. However, unlinking retired email addresses allows them to be subsequently re-used by other Organization Members. Retired email addresses can be unlinked using the [Unlink Retired Email endpoint](/api-reference/b2b/api/members/unlink-retired-email).

      <Expandable title="properties">
        <ResponseField name="email_id" type="string">
          The globally unique UUID of a Member's email.
        </ResponseField>

        <ResponseField name="email_address" type="string">
          The email address of the Member.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="trusted_metadata" type="object">
      An arbitrary JSON object for storing application-specific data or identity-provider-specific data.
    </ResponseField>

    <ResponseField name="untrusted_metadata" type="object">
      An arbitrary JSON object of application-specific data. These fields can be edited directly by the frontend SDK, and should not be used to store critical information. See the [Metadata resource](/api-reference/b2b/api/resources/object-update-behavior) for complete field behavior details.
    </ResponseField>

    <ResponseField name="roles" type="object[]">
      Explicit or implicit Roles assigned to this Member, along with details about the role assignment source. See the RBAC guide for more information about role assignment.

      <Expandable title="roles properties">
        <ResponseField name="role_id" type="string">
          The unique identifier of the RBAC Role, provided by the developer and intended to be human-readable.

          Reserved `role_ids` that are predefined by Stytch include:

          * `stytch_member`
          * `stytch_admin`

          Check out the [guide on Stytch default Roles](/multi-tenant-auth/enterprise-ready/rbac/create-rbac-policy#default-roles-and-resources) for a more detailed explanation.
        </ResponseField>

        <ResponseField name="sources" type="object[]">
          A list of sources for this role assignment. A role assignment can come from multiple sources - for example, the Role could be both explicitly assigned and implicitly granted from the Member's email domain.

          <Expandable title="sources properties">
            <ResponseField name="type" type="string">
              The type of role assignment. The possible values are:

              * `direct_assignment` – an explicitly assigned Role.  Directly assigned roles can be updated by passing in the roles argument to the Update Member endpoint.
              * `email_assignment` – an implicit Role granted by the Member's email domain, regardless of their login method.  Email implicit role assignments can be updated by passing in the `rbac_email_implicit_role_assignments` argument to the Update Organization endpoint.
              * `sso_connection` – an implicit Role granted by the Member's SSO connection. This is currently only available for SAML connections and not for OIDC. If the Member has a SAML Member registration with the given connection, this role assignment will appear in the list. However, for authorization check purposes (in sessions authenticate or in any endpoint that enforces RBAC with session headers), the Member will only be granted the Role if their session contains an authentication factor with the specified SAML connection.  SAML connection implicit role assignments can be updated by passing in the `saml_connection_implicit_role_assignments` argument to the Update SAML connection endpoint.
              * `sso_connection_group` – an implicit Role granted by the Member's SSO connection and group. This is currently only available for SAML connections and not for OIDC. If the Member has a SAML Member registration with the given connection, and belongs to a specific group within the IdP, this role assignment will appear in the list. However, for authorization check purposes (in sessions authenticate or in any endpoint that enforces RBAC with session headers), the Member will only be granted the role if their session contains an authentication factor with the specified SAML connection.
              * `scim_connection_group` – an implicit Role granted by the Member's SCIM connection and group. If the Member has a SCIM Member registration with the given connection, and belongs to a specific group within the IdP, this role assignment will appear in the list.  SCIM group implicit role assignments can be updated by passing in the `scim_group_implicit_role_assignments` argument to the Update SCIM connection endpoint.
            </ResponseField>

            <ResponseField name="details" type="object">
              An object containing additional metadata about the source assignment. The fields will vary depending on the role assignment type as follows:

              * `direct_assignment` – no additional details.
              * `email_assignment` – will contain the email domain that granted the assignment.
              * `sso_connection` – will contain the `connection_id` of the SAML connection that granted the assignment.
              * `sso_connection_group` – will contain the `connection_id` of the SAML connection and the name of the group that granted the assignment.
              * `scim_connection_group` – will contain the `connection_id` of the SAML connection and the `group_id` that granted the assignment.
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="is_admin" type="boolean">
      Whether or not the Member has the `stytch_admin` Role. This Role is automatically granted to Members who create an Organization through the discovery flow. See the [RBAC guide](/multi-tenant-auth/enterprise-ready/rbac/create-rbac-policy) for more details on this Role.
    </ResponseField>

    <ResponseField name="created_at" type="string">
      The date and time the Member was created.
    </ResponseField>

    <ResponseField name="updated_at" type="string">
      The date and time the Member was last updated.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="organization" type="object">
  The Organization of the updated Member.

  <Expandable title="organization properties">
    <ResponseField name="organization_id" type="string">
      Globally unique UUID that identifies a specific Organization. The `organization_id` is critical to perform operations on an Organization, so be sure to preserve this value. You may also use the `organization_slug` or `organization_external_id` here as a convenience.
    </ResponseField>

    <ResponseField name="organization_name" type="string">
      The name of the Organization. Must be between 1 and 128 characters in length.
    </ResponseField>

    <ResponseField name="organization_logo_url" type="string">
      The image URL of the Organization logo.
    </ResponseField>

    <ResponseField name="organization_slug" type="string">
      The unique URL slug of the Organization.

      The slug only accepts alphanumeric characters and the following reserved characters: `- . _ ~`. Must be between 2 and 128 characters in length.

      Wherever an `organization_id` is expected in a path or request parameter, you may also use the `organization_slug` as a convenience.
    </ResponseField>

    {!getBySlug_0 && (
        <ResponseField name="organization_external_id" type="string">
        A unique identifier for the Organization.
        </ResponseField>
        )}

    {!getBySlug_0 && (
        <ResponseField name="sso_jit_provisioning" type="string">
        The authentication setting that controls the JIT provisioning of Members when authenticating via SSO. The accepted values are:
        <ul>
          <li><code>ALL_ALLOWED</code> – the default setting, new Members will be automatically provisioned upon successful authentication via any of the Organization's <code>sso_active_connections</code></li>
          <li><code>RESTRICTED</code> – only new Members with SSO logins that comply with <code>sso_jit_provisioning_allowed_connections</code> can be provisioned upon authentication</li>
          <li><code>NOT_ALLOWED</code> – disable JIT provisioning via SSO</li>
        </ul>
        </ResponseField>
        )}

    {!getBySlug_0 && (
        <ResponseField name="sso_jit_provisioning_allowed_connections" type="array[strings]">
        An array of <code>connection_ids</code> that reference <a href="/api-reference/b2b/api/sso/saml-connection-object">SAML Connection objects</a>. Only these
        connections will be allowed to JIT provision Members via SSO when <code>sso_jit_provisioning</code> is set to <code>RESTRICTED</code>.
        </ResponseField>
        )}

    <ResponseField name="sso_active_connections" type="array[objects]">
      An array of active [SAML Connection references](/api-reference/b2b/api/sso/saml-connection-object) or [OIDC Connection references](/api-reference/b2b/api/sso/oidc-connection-object).

      <Expandable title="sso_active_connections properties">
        <ResponseField name="connection_id" type="string">
          Globally unique UUID that identifies a specific SSO `connection_id` for a Member.
        </ResponseField>

        <ResponseField name="display_name" type="string">
          A human-readable display name for the connection.
        </ResponseField>
      </Expandable>
    </ResponseField>

    {!getBySlug_0 && (
        <ResponseField name="scim_active_connection" type="object">
        An active <a href="/api-reference/b2b/api/scim/overview">SCIM Connection references</a>.
        <Expandable title="scim_active_connection properties">
          <ResponseField name="connection_id" type="string">
            The ID of the SCIM connection.
          </ResponseField>

          <ResponseField name="display_name" type="string">
            A human-readable display name for the connection.
          </ResponseField>
        </Expandable>
        </ResponseField>
        )}

    <ResponseField name="email_allowed_domains" type="array[strings]">
      An array of email domains that allow invites or JIT provisioning for new Members. This list is enforced when either `email_invites` or `email_jit_provisioning` is set to `RESTRICTED`

      Common domains such as gmail.com are not allowed. See the [full list of disallowed common email domains](/multi-tenant-auth/enterprise-ready/org-management/jit-provision-members#by-email-domain).
    </ResponseField>

    <ResponseField name="email_jit_provisioning" type="string">
      The authentication setting that controls how a new Member can be provisioned by authenticating via Email Magic Link or OAuth. The accepted values are:

      * `RESTRICTED` – only new Members with verified emails that comply with `email_allowed_domains` can be provisioned upon authentication via Email Magic Link or OAuth
      * `NOT_ALLOWED` – the default setting, disables JIT provisioning via Email Magic Link and OAuth
    </ResponseField>

    {!getBySlug_0 && (
        <ResponseField name="email_invites" type="string">
        The authentication setting that controls how a new Member can be invited to an organization by email. The accepted values are:
        <ul>
          <li><code>ALL_ALLOWED</code> – any new Member can be invited to join via email</li>
          <li><code>RESTRICTED</code> – only new Members with verified emails that comply with <code>email_allowed_domains</code> can be invited via email</li>
          <li><code>NOT_ALLOWED</code> – disable email invites</li>
        </ul>
        </ResponseField>
        )}

    <ResponseField name="auth_methods" type="string">
      The setting that controls which authentication methods can be used by Members of an Organization. The accepted values are:

      * `ALL_ALLOWED` – the default setting which allows all authentication methods to be used
      * `RESTRICTED` – only methods that comply with `allowed_auth_methods` can be used for authentication. This setting does not apply to Members with `is_breakglass` set to true
    </ResponseField>

    <ResponseField name="allowed_auth_methods" type="array[strings]">
      An array of allowed authentication methods. This list is enforced when `auth_methods` is set to `RESTRICTED`. The list's accepted values are: `sso`, `magic_link`, `email_otp`, `password`, `google_oauth`, `microsoft_oauth`, `slack_oauth`, `github_oauth`, and `hubspot_oauth`.
    </ResponseField>

    {!getBySlug_0 && (
        <ResponseField name="mfa_methods" type="string">
        The setting that controls which MFA methods can be used by Members of an Organization. The accepted values are:
        <ul>
          <li><code>ALL_ALLOWED</code> – the default setting which allows all authentication methods to be used</li>
          <li><code>RESTRICTED</code> – only methods that comply with <code>allowed_mfa_methods</code> can be used for authentication. This setting does not apply to Members with <code>is_breakglass</code> set to true</li>
        </ul>
        </ResponseField>
        )}

    {!getBySlug_0 && (
        <ResponseField name="allowed_mfa_methods" type="array[strings]">
        An array of allowed MFA authentication methods. This list is enforced when <code>mfa_methods</code> is set to <code>RESTRICTED</code>. The
        list's accepted values are: <code>sms_otp</code> and <code>totp</code>.
        </ResponseField>
        )}

    {!getBySlug_0 && (
        <ResponseField name="trusted_metadata" type="object">
        An arbitrary JSON object for storing application-specific data or identity-provider-specific data.
        </ResponseField>
        )}

    <ResponseField name="sso_default_connection_id" type="string">
      The default connection used for SSO when there are multiple active connections.
    </ResponseField>

    {!getBySlug_0 && (
        <ResponseField name="rbac_email_implicit_role_assignments" type="array[object]">
        Implicit role assignments based off of email domains. For each domain-Role pair, all Members whose email addresses have the specified email domain will be granted the associated Role, regardless of their login method. See the <a href="/multi-tenant-auth/enterprise-ready/rbac/assigning-roles-to-members">RBAC guide</a> for more information about role assignment.

        <Expandable title="rbac_email_implicit_role_assignments properties">
          <ResponseField name="domain" type="string">
            Email domain that grants the specified Role.
          </ResponseField>

          <ResponseField name="role_id" type="string">
            The unique identifier of the RBAC Role, provided by the developer and intended to be human-readable.

            Reserved <code>role_ids</code> that are predefined by Stytch include:
            <ul>
              <li><code>stytch_member</code></li>
              <li><code>stytch_admin</code></li>
            </ul>

            Check out the <a href="/multi-tenant-auth/enterprise-ready/rbac/create-rbac-policy">guide on Stytch default Roles</a> for a more detailed explanation.
          </ResponseField>
        </Expandable>
        </ResponseField>
        )}

    <ResponseField name="oauth_tenant_jit_provisioning" type="string">
      The authentication setting that controls how a new Member can JIT provision into an Organization by tenant. The accepted values are:

      * `RESTRICTED` – only new Members with tenants in `allowed_oauth_tenants` can JIT provision via tenant
      * `NOT_ALLOWED` – the default setting, disables JIT provisioning by OAuth Tenant
    </ResponseField>

    <ResponseField name="allowed_oauth_tenants" type="object">
      A map of allowed OAuth tenants. If this field is not passed in, the Organization will not allow JIT provisioning by OAuth Tenant. Allowed keys are "slack", "hubspot", and "github".
    </ResponseField>

    {!getBySlug_0 && (
        <ResponseField name="first_party_connected_apps_allowed_type" type="string">
        The authentication setting that sets the Organization's policy towards first party Connected Apps. The accepted values are:
        <ul>
          <li><code>ALL_ALLOWED</code> – the default setting, any first party Connected App in the Project is permitted for use by Members</li>
          <li><code>RESTRICTED</code> – only first party Connected Apps with IDs in <code>allowed_first_party_connected_apps</code> can be used by Members</li>
          <li><code>NOT_ALLOWED</code> – no first party Connected Apps are permitted</li>
        </ul>
        </ResponseField>
        )}

    {!getBySlug_0 && (
        <ResponseField name="allowed_first_party_connected_apps" type="array[strings]">
        An array of first party Connected App IDs that are allowed for the Organization. Only used when the Organization's <code>first_party_connected_apps_allowed_type</code> is <code>RESTRICTED</code>.
        </ResponseField>
        )}

    {!getBySlug_0 && (
        <ResponseField name="third_party_connected_apps_allowed_type" type="string">
        The authentication setting that sets the Organization's policy towards third party Connected Apps. The accepted values are:
        <ul>
          <li><code>ALL_ALLOWED</code> – the default setting, any third party Connected App in the Project is permitted for use by Members</li>
          <li><code>RESTRICTED</code> – only third party Connected Apps with IDs in <code>allowed_third_party_connected_apps</code> can be used by Members</li>
          <li><code>NOT_ALLOWED</code> – no third party Connected Apps are permitted</li>
        </ul>
        </ResponseField>
        )}

    {!getBySlug_0 && (
        <ResponseField name="allowed_third_party_connected_apps" type="array[strings]">
        An array of third party Connected App IDs that are allowed for the Organization. Only used when the Organization's <code>third_party_connected_apps_allowed_type</code> is <code>RESTRICTED</code>.
        </ResponseField>
        )}

    {!getBySlug_0 && (
        <ResponseField name="created_at" type="string">
        The timestamp of the Organization's creation. Values conform to the RFC 3339 standard and are expressed in UTC, e.g. <code>2021-12-29T12:33:09Z</code>.
        </ResponseField>
        )}

    {!getBySlug_0 && (
        <ResponseField name="updated_at" type="string">
        The timestamp of when the Organization was last updated. Values conform to the RFC 3339 standard and are expressed in UTC, e.g. <code>2021-12-29T12:33:09Z</code>.
        </ResponseField>
        )}
  </Expandable>
</ResponseField>

<ResponseField name="request_id" type="string">
  Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we
  may ask for this value to help identify a specific API call when helping you debug an issue.
</ResponseField>

<ResponseField name="status_code" type="number">
  The HTTP status code of the response. Stytch follows standard HTTP response status code patterns, e.g. 2XX values
  equate to success, 3XX values are redirects, 4XX are client errors, and 5XX are server errors.
</ResponseField>

<Panel>
  <RequestExample>
    ```jsx theme={null}
    import { useState } from 'react';
    import { useStytchB2BClient } from '@stytch/nextjs/b2b';

    export const UpdateMember = ({ memberId }) => {
      const stytch = useStytchB2BClient();
      const [name, setName] = useState('');

      const handleUpdate = async () => {
        await stytch.member.update({ member_id: memberId, name });
      };

      return (
        <div>
          <input
            value={name}
            onChange={(e) => setName(e.target.value)}
            placeholder="Enter member name"
          />
          <button onClick={handleUpdate}>Update Member</button>
        </div>
      );
    };
    ```
  </RequestExample>

  <ResponseExample>
    ```json theme={null}
    {
      "status_code": 200,
      "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
      "member_id": "member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f",
      "member": {...},
      "organization": {...}
    }
    ```
  </ResponseExample>
</Panel>
